Deprecated: Return type of Carbon\Carbon::createFromTimestamp($timestamp, $tz = null) should either be compatible with DateTime::createFromTimestamp(int|float $timestamp): static, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /www/wwwroot/srrink.com/vendor/nesbot/carbon/src/Carbon/Traits/Timestamp.php on line 29

Deprecated: Constant PDO::MYSQL_ATTR_SSL_CA is deprecated since 8.5, use Pdo\Mysql::ATTR_SSL_CA instead in /www/wwwroot/srrink.com/config/database.php on line 59
Stats - Developers - Srrink

Stats

Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
Show

API endpoint:

GET
https://srrink.com/api/v1/stats/{id}

Request example:

curl --location --request GET 'https://srrink.com/api/v1/stats/{id}?name={name}&from={from}&to={to}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
Type
Description
name
required string
The name of the statistic. Possible values are: browser, cities, clicks, clicks_hour, country, device, language, platform, referrer.
from
required string
The starting date in Y-m-d format.
to
required string
The ending date in Y-m-d format.
search
optional string
The search query.
search_by
optional string
Search by. Possible values are: value for Value. Defaults to: url.
sort_by
optional string
Sort by. Possible values are: count for Count, value for Value. Defaults to: count.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.